<?php

namespace App;

use Illuminate\Database\Eloquent\Model;

class Bautizos extends Model
{

    protected $table = 'bautismos';

    /**
     * The attributes that are mass assignable.
     *
     * @var array
     */
    protected $fillable = [
        'libro', 'folio','partida','church_id','sacramento_id','fecha','nombre','apellido_paterno','apellido_materno','sexo','fecha_nacimiento','lugar_nacimiento','nombre_padre','apellido_paterno_padre','apellido_materno_padre','nombre_madre','apellido_paterno_madre','apellido_materno_madre','nombre_padrino','apellido_paterno_padrino','apellido_materno_padrino','nombre_madrina','apellido_paterno_madrina','apellido_materno_madrina','libro_civil','folio_civil','acta_civil','sacerdote_id','parroco_id','notas'
    ];

    public function church()
    {
        return $this->belongsTo('App\Church', 'church_id', 'id');
    }

    public function sacramento()
    {
        return $this->belongsTo('App\Sacramento', 'sacramento_id', 'id');
    }    

    public function sacerdote()
    {
        return $this->belongsTo('App\Member', 'sacerdote_id', 'id');
    }

    public function parroco()
    {
        return $this->belongsTo('App\Member', 'parroco_id', 'id');
    }

    public function estado()
    {
        return $this->belongsTo('App\Estado', 'estado_id', 'id');
    }

    public function municipio()
    {
        return $this->belongsTo('App\Municipio', 'municipio_id', 'id');
    }
}